Perl::Critic::Utils::POD::ParseInteriorSequence(3)

NAME
Perl::Critic::Utils::POD::ParseInteriorSequence - Pod::Parser subclass to find all interior sequences.

SYNOPSIS
    use Perl::Critic::Utils::POD::ParseInteriorSequence;

    my $parser = Perl::Critic::Utils::POD::ParseInteriorSequence->new();
    my @sequences = $parser->parse_interior_sequences(
        $pod->content() );

DESCRIPTION
Provides a means to extract interior sequences from POD text.

INTERFACE SUPPORT
This module is considered to be private to Perl::Critic. It can be changed or removed without notice.

METHODS

"get_interior_sequences( $pod_text )"
    Returns an array of all the interior sequences from a given chunk of POD text, represented as Pod::InteriorSequence objects. The POD text is assumed to begin with a POD command (e.g. "=pod").

"interior_sequence( $seq_cmd, $seq_arg, $pod_seq )"
    Overrides the parent's method of the same name. Stashes the $pod_seq argument, which is a "Pod::InteriorSequence" object, so that "get_interior_sequences()" has access to it.

AUTHOR
Thomas R. Wyant, III wyant at cpan dot org

COPYRIGHT
Copyright (c) 2011 Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The full text of this license can be found in the LICENSE file included with this module.